Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ECG_Mcast_Gateway.h File Reference

`#include "ECG_UDP_Sender.h"`
`#include "ECG_Defaults.h"`
`#include "ECG_UDP_Receiver.h"`
`#include "ECG_UDP_Out_Endpoint.h"`
`#include "ace/Service_Object.h"`
`#include "ace/Service_Config.h"`
`#include "ace/SString.h"`
`#include "ace/os_include/os_stdint.h"`

Include dependency graph for ECG_Mcast_Gateway.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | Attributes
| Helper class to initialize a TAO_ECG_Mcast_Gateway. More...
class | TAO_ECG_Mcast_Gateway
| Implement the builder for setting up Event Channel multicast gateway. NOT THREAD-SAFE. More...

## Detailed Description

Id:
  ECG_Mcast_Gateway.h,v 1.4 2003/08/02 01:15:54 bala Exp

Author:
  Marina Spivak (marina@atdesk.com)